> ## Documentation Index
> Fetch the complete documentation index at: https://developers.datagrid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a thread

> Returns the existing thread when the message already has one.



## OpenAPI

````yaml post /channels/{channel_id}/messages/{message_id}/threads
openapi: 3.0.3
info:
  version: 0.1.1
  title: Datagrid API
  description: Datagrid API
servers:
  - url: https://api.datagrid.com/v1
security:
  - BearerAuth: []
paths:
  /channels/{channel_id}/messages/{message_id}/threads:
    post:
      tags:
        - Channels
      summary: Start a thread
      description: Returns the existing thread when the message already has one.
      operationId: Channels.createThread
      parameters:
        - $ref: '#/components/parameters/channel_id'
        - name: message_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Created or existing thread
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelThread'
components:
  parameters:
    channel_id:
      name: channel_id
      in: path
      required: true
      schema:
        type: string
  schemas:
    ChannelThread:
      type: object
      required:
        - object
        - id
        - channel_id
        - created_at
        - updated_at
      properties:
        object:
          type: string
          enum:
            - thread
        id:
          type: string
        channel_id:
          type: string
        root_message_id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````